#!/bin/sh

VERSION=0.7ern

if [ "$1" = "cross" ]; then
    export CROSSCOMPILE=/opt/Embedix/tools
    export QPEDIR=/opt/Qtopia/sharp
    export QTDIR=/opt/Qtopia/sharp
    export PATH=$QTDIR/bin:$QPEDIR/bin:$CROSSCOMPILE/bin:$PATH
    export TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-sharp-g++/
    export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
    export ARCHITECTURE=arm
elif [ "$1" = "native" ]; then
    export CROSSCOMPILE=
    export QPEDIR=/opt/Qtopia
    export QTDIR=/opt/Qtopia
    export PATH=$QTDIR/bin:$QPEDIR/bin:$PATH:/opt/Embedix/tools/bin
    export TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-x86-g++/
    export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
    export ARCHITECTURE=x86
else
    echo "usage: $0 cross | native"
    exit 1
fi

tmake -o Makefile labyrinth.pro
make
lrelease labyrinth.pro

for LANGUAGE in en de; do
    mkdir -p tmp/CONTROL
    mkdir -p tmp/opt/QtPalmtop/apps/Games
    mkdir -p tmp/opt/QtPalmtop/bin
    mkdir -p tmp/opt/QtPalmtop/pics
    mkdir -p tmp/opt/QtPalmtop/share/games/labyrinth
    if [ "$LANGUAGE" != "en" ]; then
	mkdir -p tmp/opt/QtPalmtop/help/${LANGUAGE}/html
	mkdir -p tmp/opt/QtPalmtop/i18n/${LANGUAGE}
    else
	mkdir -p tmp/opt/QtPalmtop/help/html
    fi
    cp labyrinth.desktop tmp/opt/QtPalmtop/apps/Games
    cp labyrinth tmp/opt/QtPalmtop/bin
    cp labyrinth.png tmp/opt/QtPalmtop/pics
    cp labyrinth.record tmp/opt/QtPalmtop/share/games/labyrinth
    if [ "$LANGUAGE" != "en" ]; then
	cp help/${LANGUAGE}/labyrinth.html tmp/opt/QtPalmtop/help/${LANGUAGE}/html
	cp i18n/${LANGUAGE}/labyrinth.qm tmp/opt/QtPalmtop/i18n/${LANGUAGE}
    else
	cp help/en/labyrinth.html tmp/opt/QtPalmtop/help/html
    fi
    cat > tmp/CONTROL/control <<END
Version: ${VERSION}
Depends: qpe-base (\$QPE_VERSION)
Priority: optional
Section: Games
Maintainer: Robert Ernst <robert.ernst@linux-solutions.at>
Architecture: ${ARCHITECTURE}
License: GPL
Description: Labyrinth
 Tilt the board to move a ball into the target, but avoid the holes!
END
    if [ "$LANGUAGE" != "en" ]; then
	cat >> tmp/CONTROL/control <<END
Package: labyrinth-${LANGUAGE}
Files: bin/labyrinth apps/Games/labyrinth.desktop pics/labyrinth.png share/games/labyrinth/labyrinth.record help/${LANGUAGE}/html/labyrinth.html
Filename: ./labyrinth-${LANGUAGE}_${VERSION}_${ARCHITECTURE}.ipk
END
    else
	cat >> tmp/CONTROL/control <<END
Package: labyrinth
Files: bin/labyrinth apps/Games/labyrinth.desktop pics/labyrinth.png share/games/labyrinth/labyrinth.record help/html/labyrinth.html
Filename: ./labyrinth_${VERSION}_${ARCHITECTURE}.ipk
END
    fi
    ipkg-build tmp
    rm -rf tmp
done

